org.apache.maven.scm.provider.svn

## Class SvnConfigFileReader

- java.lang.Object
- - org.apache.maven.scm.provider.svn.SvnConfigFileReader

-     public class SvnConfigFileReader
      extends Object

  Version:
    $Id: SvnConfigFileReader.java 691192 2008-09-02 10:48:32Z vsiveton $
  Author:
    Emmanuel Venisse

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SvnConfigFileReader()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getConfigDirectory()`
    `String` | `getProperty(String group, String propertyName)`
    `void` | `setConfigDirectory(File configDirectory)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SvnConfigFileReader

          public SvnConfigFileReader()

  - ### Method Detail

    - #### getConfigDirectory

          public File getConfigDirectory()

    - #### setConfigDirectory

          public void setConfigDirectory(File configDirectory)

    - #### getProperty

          public String getProperty(String group,
                           String propertyName)

Copyright © 2003–2015. All rights reserved.